#-
#:SmallSize 5000000
#:LargeSize 20000000
#:WorkSpace 50000000
#:MaxTermSize 300000
#:TermsInSmall 30000
off stats;
format 75;
auto s sM;
auto i iM;

s GS, GH, MT, MT2, MH, MH2;
cf Den, Denom, dirM, pol, polc, SUNF, SUND, SUNSum, SUNT;
cf SpinorU, SpinorUb, SpinorV, SpinorVb;
cf mom, fslash;

d 4;

AutoDeclare I Dir=4, iM, Lor=4,ind;

Tensor Tr(cyclic),Tp,f(antisymmetric),ff(rcyclic), d(symmetric);
Function TM,TT;
Symbols a,nf,NF,NA,cF,cA,[cF-cA/6];
Dimension NA;
AutoDeclare  I j,Glu=NA;
Dimension NF;
AutoDeclare I i,Col=NF;

v k;
s m;
f g,g1,g2,dummy;
v g6,g7;

v k1,k2,k3,k4,k5;

#define DoColor "0"

#include squareME.h


.global
*********************************************************
*    _                    _ _ _             _           *
*   / \   _ __ ___  _ __ | (_) |_ _   _  __| | ___  ___ *
*  / _ \ | '_ ` _ \| '_ \| | | __| | | |/ _` |/ _ \/ __|*
* / ___ \| | | | | | |_) | | | |_| |_| | (_| |  __/\__ \*
*/_/   \_\_| |_| |_| .__/|_|_|\__|\__,_|\__,_|\___||___/*
*                  |_|                                  *
*********************************************************
Local Diag1 =
+1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*i_*GS*dirM(g(iM,Lor8),Dir3,Dir1)*SUNT(Glu8,Col3,Col1)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*-GS*SUNF(Glu6,Glu9,Glu11)*(d_(Lor6,Lor9)*mom(-k5-(k1+k2),Lor11)+d_(Lor9,Lor11)*mom(k1+k2-(-k3-k4),Lor6)+d_(Lor11,Lor6)*mom(-k3-k4-(-k5),Lor9) )*-i_*Den(-k1-k2,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag2 =
-1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*i_*GS*dirM(g(iM,Lor8),Dir3,Dir1)*SUNT(Glu8,Col3,Col1)*i_*GS*dirM(g(iM,Lor6),Dir2,Dir10)*SUNT(Glu6,Col2,Col10)*i_*GS*dirM(g(iM,Lor9),Dir11,Dir4)*SUNT(Glu9,Col11,Col4)*-i_*Den(-k1-k2,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*i_*Den(k3+k5,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(k3+k5)+MT*g(iM),Dir10,Dir11);
Local Diag3 =
-1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*i_*GS*dirM(g(iM,Lor8),Dir3,Dir1)*SUNT(Glu8,Col3,Col1)*i_*GS*dirM(g(iM,Lor6),Dir11,Dir4)*SUNT(Glu6,Col11,Col4)*i_*GS*dirM(g(iM,Lor9),Dir2,Dir10)*SUNT(Glu9,Col2,Col10)*-i_*Den(-k1-k2,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*i_*Den(-k4-k5,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(-k4-k5)+MT*g(iM),Dir10,Dir11);
Local Diag4 =
-1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*i_*GS*dirM(g(iM,Lor6),Dir9,Dir1)*SUNT(Glu6,Col9,Col1)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*i_*GS*dirM(g(iM,Lor11),Dir3,Dir8)*SUNT(Glu11,Col3,Col8)*i_*Den(k1-k5,0)*d_(Col9,Col8)*SUNSum(Col8,3)*dirM(fslash(k1-k5),Dir8,Dir9)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag5 =
-1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*i_*GS*dirM(g(iM,Lor6),Dir3,Dir8)*SUNT(Glu6,Col3,Col8)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*i_*GS*dirM(g(iM,Lor11),Dir9,Dir1)*SUNT(Glu11,Col9,Col1)*i_*Den(-k2+k5,0)*d_(Col9,Col8)*SUNSum(Col8,3)*dirM(fslash(-k2+k5),Dir8,Dir9)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);

L Amp = +Diag1+Diag2+Diag3+Diag4+Diag5;

#$lomax = 11;
#$dimax = 11;
#call squareME(Amp,M1);
 .sort
L Result = M1;
.sort

Format nospaces;
#write <me.qQ2tTg.txt> "%e",Result

ExtraSymbols,array,w;
Format O3;
*Print;
.sort

Format DOUBLEFORTRAN;
#optimize Result
#write <me.qQ2tTg.f> "      FUNCTION me_qQ2tTg(S, T, U, T14, T24, S34, MT, GS, NF)"
#write <me.qQ2tTg.f> "      REAL*8 S, T, U, T14, T24, S34, MT, GS, NF"
#write <me.qQ2tTg.f> "      REAL*8 me_qQ2tTg"
#write <me.qQ2tTg.f> "      REAL*8 w(`optimmaxvar_')"
#write <me.qQ2tTg.f> "%O"
#write <me.qQ2tTg.f> "      me_qQ2tTg = %e",Result(me_qQ2tTg)
#write <me.qQ2tTg.f> "      RETURN"
#write <me.qQ2tTg.f> "      END"
.sort

.end
